pppBlog:
--------

- embedded flash without borders

0.3.10 - 01-03-2007

- added a new package of user contributed language files
  (no quality check what-so-ever ...)
- fixed rating function for IE & Opera
- new theme: photo (the one I use for my photos ...)
- added png-fix for IE < v7 (transparency issues)
- removed 'english' from language package
- fixed link color in blog entry titles and menu block titles
  in default themes for other color schemes
- fixed dates in photo calendar when showing more than 1 month with a year 
  boundary in between
- changed rating form from GET to POST mode (does this work for IE now?)
- fixed months in short date format
- remove old pic extensions for scaled images in gallery
- more tag works now also with FCKeditor
- added a 'more' button to default editor
- title in album menu block is now linked to album root (gallery.php)
- added menu block with (some) EXIF information for jpeg images 
  (should be more general)
- BBClone can be used for statistics

0.3.9b - 14-11-2006

- new option for photo clendar block (hide title)
- small changes in photo gallery (theme-dependent slideshow buttons, 
  thumbnail rows of same height or width depending on side in picture pages, 
  slideshow without picture navigation)
- fixed date bug in commented album pictures
- commenting pictures in albums with spaces works now
- added div classes for left, right top menu blocks 
  (make different styles possible) & removed <br> after ech menu block
  (changed plain, dashed, floatin-right to use this new div)
- changed symlinks to image directories to relative paths for FCKeditor
- added is_dir check in FtpMkdir
- added [more] tag
- fixed entry caching


0.3.9 - 31-10-2006

- added a work-around for running in safe_mode (mkdir via ftp)
- changed rating links to forms (avoid robots to vote)
- added tables to blog editor
- RSS feeds in blog entries
- added 'hide header/title' to setup
- added 'hide searchbox_in_header/links_in_header' to setup
- fixed Traversal Vulnerability mentioned at, e.g.
  http://downloads.securityfocus.com/vulnerabilities/exploits/pppBLOG-0531-dtv.txt
- fixed calendar bug (displayed the wrong month)


0.3.8 - 02-04-2006

- simple album/picture description management
- photo gallery styles added (can be set for each album separately)
- fixed links to album tree ([+]) and subalbums (folder-icon)
- added author/translator info in default theme
- added fallback to date strings in language files in cases when 
  locale doesn't work (does this work correctly?)
- added separate div's for author/translation links
- sorted menu block selection box

pppBLOG has been split into 4 packages:
- pppBLOG basic package
- language package (language files)
- themes package (some extra themes)
- FCKeditor for pppBLOG (WYSIWYG editor)

0.3.7 - 09-03-2006

- voting/commenting in the photo gallery doesn't produce visible blog entries
  anymore
- password protection for photo albums finally works again
- cleanup in functions that display blog entries
- added remote-addr check in web-polls (only allow one vote per adress)
- header menu block added (for header images and other blocks)
- changed handling links (default list of links includes 
  'home', 'stats', 'contact me', 'login') 
  --> makes it easier to modify them on-line
- several fixes in language support (backup, cache admin, user admin, ...)
- expanding blog code in comments fixed (including smileys)
- comment captcha fixed
- caching for comments
- escaping '|' when using the FCKeditor
- new option to disable anti-spam capchas
- removed option to use zipped files


0.3.6b - 09-02-2006

- added photo gallery popup for browsing through photo albums when
  editing blog entries (with default editor)

small bug-fixes:

- 'view image list' popup window works again
- fixed file names of static pages when editing
- fixed photo upload to the gallery (took away the check with 
  getimagesize - doesn't seem to work)
- 'view image list' when editing entries should now also work for
  non-adminsitrators with add/edit permissions
- 'Upcoming' doesn't appear twice anymore
- path to user files should be correct now when using the FCKeditor


0.3.6

- integrated WYSIWYG editor (FCKeditor)
- page for showing summaries of old web polls
- improved slideshow function: 
    stay at current picture when stopping slideshow
    start at current picture when starting slideshow
- photo archive using a calendar block in the side menu
- blog entry dates are changed when moving entries
  (the date is taken from the entry file name and location now)
- emoticons (thanks to spb italia)
- made blog editor more modular and re-usable
- lot's of little bug fixes and some clean-up


0.3.5

- plain text web poll function (as side menu block)
- simple user permission management
- new theme: basic
- optional welcome block in side menus (when logged in)
- apostrophes and single quotes work again in IE
- rating-images should be transparent now even in IE
- prev/next links added again to gallery navigation
- fixed global $gd_available in scale.php
- fixed html-encoding for different character encodings
- added HTTP_REFERER check to rate_cgi.php
- added backup function from http://spbitalia.altervista.org/forum/viewtopic.php?id=213 (thanks Hydra)
- other small bug fixes


0.3.4 - 01-12-2005

- parameters for (some) side-menu blocks (e.g. most recent entries & rss feeds)
- logo block for side menus can be used for arbitrary images
- password protection for image galleries
- fixed thumbnail navigation in image galleries (to show at least previous and
  next image)
- HTML/XML entities possible in blog entries (e.g. $ouml;)
- improved language support for photo galleries and image upload script
  (but not complete yet)
- added option for changing the width of the side menu 
  (works only in plain, dashed and floating_right theme)
- simplified themes/default|plain|floating_right/theme.php and added
  default styles to scripts/sb_theme.php


0.3.3 - 15-11-2005

- code cleanup, e.g.
  + removed gallery subdirectory and moved scripts to scripts/
  + standard header and footer in all pages
- new style in photo gallery (thumbnails for navigation)
- feed2js added to the package 
  http://jade.mcli.dist.maricopa.edu/feed/index.php
  (thanks to their developers)
  integrated the feed-reader into pppBLOG
  (can be used in side menu and blog entries)


0.3.2 - 03-11-2005

- a simple user admin script has been added to create/delete users
- a simple blog entry translation support has been added
- (most of) the blog is now XHTML
- standard header for all pages (now in scripts/sb_html.php)
- some code clean-up and little bug fixes


0.3.1 - 25-10-2005

- added menu block for selecting blog language
- first beta-version of multi-user support (+ user sign-up function)
- save author information with blog entries (and entry history)
- more options in the setup
  + width of blog entries (main contents)
  + gallery settings (image sizes, nr thumbnails/page)
- moved language support for gallery to default directories
- LaTeX math support using MimeTex (thanks to ozroc
  http://pablogc.freeprohost.com/static.php?page=static050909-214505)


0.3.0 - 10/01/2005

- added history functions for blog entries and static pages
  + old versions are stored in content/../ENTRY-ID/history/MTIME.txt
  + links to old versions from the preview mode
  + go back to old versions from preview mode


0.2d - 09/29/2005

- changed language support 
  + new sb_langauge.php script with the sb_language function (and others)
  + language files do not re-define sb_language function
- pppBlog badge image added
- moved to sourceforge
  (check http://joerg.jo.funpic.org/ for previous releases)


0.2c - 09/11/2005

- menu block management is working for 2-menu themes


0.2b - 

- improvements to the menu block management


0.2 - 09/11/2005

* Security problems fixed
* The install scripts now check if there is already a password defined 
  and deny overwriting it. Changing the password is still possible directly 
  from the blog (but of course only when logged in)
* The upload image scripts check the files with getimagesize to disable 
  uploads of files that are not images.
* The other bugs are fixed as well (deleting comments etc).
* I also include the latest album add-on with the slide show function and 
  I added the "pimped" download counter.
* The classic and modern themes should work now again (without the advanced 
  menu block handling).
* I added another experimental theme 'dashed' with my own menu block 
  handling function. Check it out if you like and let me know what you think. 
  (There are stil some problems to be solved such as handling user blocks)


0.1 - 08/15/2005

- first release, still under the name of simple-beta
- based on latest Simple PHP Blog code from CVS at SourceForge
- Photo gallery + upload script
- 2menu theme as default
- my password patch
- event calendar patch
- download counter + upload script
- Theme selector (integrated in the 2menu default theme)
- Joel's blog entry cache
- problem about backslashhes and quotes is fixed
- the bug in the calendar is fixed



Version History of Simple PHP Blog:
-----------------------------------

0.4.4 - 
- - - - - - - - - -
- Preliminary PHP code support by using [php]
- Sitemap enabled.
- Graphic capchas if GD is available.
- 404 page for static entries.
- Autoparse URL in entries and comments.
- Support for c parameter in feeds specifying the category(ies) to syndicate.
- Added alt, align and valing attributes for the [img] tag.
- Enhaced block configuration.
- Security enhacements.
- XHTML compatibility fixes.
- Minor bug fixing.
- Some speed optimizations.
- Stability improvements.

0.4.3 - 02/08/05
- - - - - - - - - -
- Guti added capcha to comments
- Fixed another 2005 date bug

0.4.2 - 01/05/05
- - - - - - - - - -
- More updates to themes

0.4.1 - 01/27/05
- - - - - - - - - -
- Some updates to themes

0.4.0 - 01/23/05
- - - - - - - - - -
- Major release

0.3.8 - 01/18/05
- - - - - - - - - -
1) Fixed "next" and "back" buttons when browsing by category
2) Added "upgrade" check to login_cgi page.
3) Added strings for stats, upgrade, login, and links pages.
4) Tweaked the navigation menus.
5) Tweaked the contact email (line breaks, and reply-to email...)
6) Added static page drop-down to links page.
7) Added categories display to preview and comment pages.
8) Added some more color schemes.

0.3.7m,n,o,p,q,r - 10/01/2004 --> 01/01/2005
- - - - - - - - - -
Tons and tons of improvements and bug fixes. :)

0.3.7l - 09/20/2004
- - - - - - - - - -
1) PHP 5 optimizations, but still working with 4.1.
2) Added in all themes hints in the PHP's and SPHPBlog's logos showing the installed version.
3) Improved documentation.
4) Now current date in calendar is clickable.

0.3.7k - 09/17/2004
- - - - - - - - - -
1) Replaced the archive view, with calendar one.
2) RSS feed accepts the max entries to publish if defined.
3) Email, URL and remember me in comments.
4) Fixed a bug in the most recent comments when deleting a comment.
5) Added the TXT Powered logo to all themes.
6) Updated english and spanish translations with new strings.

0.3.7j - 09/14/2004
- - - - - - - - - -
1) Search also finds contents in static pages. Great speed improvements.
2) Fixed a bug in the search results.
3) Minor improvements and speed hacks.
4) Improved documentation.
5) favicon support.
6) RSS channel image.

0.3.7i - 08/10/2004
- - - - - - - - - -
Various...

0.3.7h - 08/02/2004
- - - - - - - - - -
Various...

0.3.7g - 08/28/2004
- - - - - - - - - -
1) Added support for current song and current mood.

0.3.7f - 07/23/2004
- - - - - - - - - -
Various...

0.3.7e - 07/21/2004
- - - - - - - - - -
Various...

0.3.7c - 07/12/2004
- - - - - - - - - -
Various...

0.3.7b - 07/06/2004
- - - - - - - - - -

Bugs:
1) Fixed a bug with RSS encoding and charsets. Should handle
multiple language HTML encoding properly now.
2) Fixed comment display on main page for past months.


0.3.7 - 06/21/2004
- - - - - - - - - -
Additions:
1) RSS
2) Compression
3) Search

0.3.6 - 06/12/2004
- - - - - - - - - -
Additions:
1) Lots of new formatting options
2) Re-wrote read-entries() function
3) Re-wrote all the parsing in blog_to_html() function

0.3.5 - 06/04/2004
- - - - - - - - - -
Additions:
1) Themes are done
2) Changed the Setup/Install Process
Every single file has changes...

0.3.4 - 05/14/2004
- - - - - - - - - -
Additions:
1) New menu date formatting.
2) Themes are partially implemented...
Bugs:
1) Fixed a bug that caused multiple static entries in menu, when editing an existing entry.

0.3.3 - 05/14/2004
- - - - - - - - - -
Additions:
1) Date and time formatting.

0.3.2 - 05/07/2004
- - - - - - - - - -
Additions:
1) Most Recent Comments area.

0.3.1 - 04/28/2004
- - - - - - - - - -
Additions:
1) Static Pages.
2) More control over Custom Links.

0.3.0 - 04/28/2004
- - - - - - - - - -
Additions:
1) Added "Entry Order" and "Comment Order" to setup page.
2) Moved all colors to the "$user_colors" array. (Colors were stored in a bunch of globals.)

0.2d - 04/26/2004
- - - - - - - - - -
Additions:
1) Folders 'Config', 'Content', and 'Images' are now dynamically created.
They will no longer be included in the .zip files.
Bug Fixes:
1) Fixed image size issue. If you posted more than one image in a blog
entry. All of the images will be sized to the dimensions of the first
image.
2) Fixed a bug with the mkdir commands. When PHP is running in safe
mode, you should set the 'umask' before creating a directory. Also,
mkdir will fail if you have a trailing '/'.

0.2a - 0.2c - 04/25/2004
- - - - - - - - - - - - -
Added multi-lingual support. (Danish and Russian translations are
currently included.)
Many bug fixes.

0.2 - 04/20/2004
- - - - - - - - -
Bug Fixes:
1) Pop-Up Window Bug.
Scrollbars weren't showing up in the Comment window on IE.

0.1 - 04/09/2004
- - - - - - - - -
First Release:
Release the code on Source Forge under the GNU Public License
